Bug 28380 - Elasticsearch - Correct 024aa in mappings (MARC21)
Summary: Elasticsearch - Correct 024aa in mappings (MARC21)
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Caroline Cyr La Rose
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-18 20:39 UTC by Caroline Cyr La Rose
Modified: 2021-11-24 22:55 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This corrects the MARC21 mapping for 024$a when using Elasticsearch: identifier-other now maps to 024a rather than 024aa (which is a typo).
Version(s) released in:
21.11.00


Attachments
Bug 28380: Elasticsearch - correct 024aa in mappings (MARC21) (835 bytes, patch)
2021-05-18 20:43 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 28380: Elasticsearch - correct 024aa in mappings (MARC21) (1.25 KB, patch)
2021-08-07 20:15 UTC, David Nind
Details | Diff | Splinter Review
Bug 28380: Elasticsearch - correct 024aa in mappings (MARC21) (1.31 KB, patch)
2021-08-10 11:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-05-18 20:39:38 UTC
In the mappings.yaml file, under the identifier-other index, the field 024aa is listed. I don't know if the double a can cause a problem, or if it's simply a typo without consequence.
Comment 1 Caroline Cyr La Rose 2021-05-18 20:43:10 UTC
Created attachment 121128 [details] [review]
Bug 28380: Elasticsearch - correct 024aa in mappings (MARC21)

This patch corrects a typo in the mappings.yaml file

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings" 
and confirm
2b) Then reindex

3) Search for a standard number found in 024$a using the Standard number index 
in the advanced search
Comment 2 David Nind 2021-08-07 20:15:53 UTC
Created attachment 123595 [details] [review]
Bug 28380: Elasticsearch - correct 024aa in mappings (MARC21)

This patch corrects a typo in the mappings.yaml file

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings"
and confirm
2b) Then reindex

3) Search for a standard number found in 024$a using the Standard number index
in the advanced search

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-08-07 20:21:24 UTC
Hi Caroline.

For this one I think you are correct - 24aa is incorrect and this fixes it.

Searching using identifier-other=XYZ (where XYZ = a value in 24$a) now works after the patch is applied.

In the advanced search form I don't think identifier-other is included in the standard number index, so this didn't work for me (also, I don't really understand how this all works and ties together).

David
Comment 4 Katrin Fischer 2021-08-10 11:22:02 UTC
Created attachment 123674 [details] [review]
Bug 28380: Elasticsearch - correct 024aa in mappings (MARC21)

This patch corrects a typo in the mappings.yaml file

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings"
and confirm
2b) Then reindex

3) Search for a standard number found in 024$a using the Standard number index
in the advanced search

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-16 10:04:54 UTC
Pushed to master for 21.11, thanks to everybody involved!